gupnp_service_freeze_notify
gupnp_service_info_get
Gupnp Functions
PHP Manual

# gupnp_service_info_get_introspection

(PECL gupnp >= 0.1.0)

gupnp_service_info_get_introspection — Get resource introspection of service

### Description

mixed gupnp_service_info_get_introspection ( resource `$proxy` [, mixed `$callback` [, mixed `$arg` ]] )

Get resource introspection of service or register callback if corresponding parameter was passed.

### Parameters

`proxy`

  A service proxy identifier.

`callback`

  The callback function to be called when introspection object is ready. Typically, callback function takes on three parameters. The `introspection` parameter's identifier being the first, `error` parameter's message being the second, and the `arg` is third.

`arg`

  User data for `callback`.

### Return Values

Return true if callback function was defined. Return introspection identifier if callback function was omited.

### Errors/Exceptions

Issues E_WARNING with not valid callback function.

gupnp_service_freeze_notify
gupnp_service_info_get
Gupnp Functions
PHP Manual